Other B4R v2.80 BETA is available for download

Discussion in 'B4R Questions' started by Erel, Jun 13, 2019.

  1. Erel

    Erel Administrator Staff Member Licensed User

    This update adds support for the latest version of ESP8266 (v2.5.2) and ESP32 (v1.0.2) SDKs.

    It also includes the IDE improvements added to the other B4X products (auto bookmarks, auto backup improvements and others).

    Download link: www.b4x.com/b4r/files/beta.exe

    Make sure to update the SDKs from the Arduino IDE (Tools - Boards Manager). Older versions of ESP8266 and ESP32 will not work with this version.
     
  2. cliv

    cliv Member Licensed User

    I use B4R v2.60, install on my old computer with Windows XP, and work very well, but i can't install this version ...???

    2019-06-14_105640.png
     
  3. Erel

    Erel Administrator Staff Member Licensed User

    Beta #2 is released. It fixes the issue with rSD library and ESP8266.

    The minimum version is explicitly set now in the installer script. I'm not sure whether it will solve this issue. Please try it.
     
    Last edited: Jun 16, 2019
    Peter Simpson and rbghongade like this.
  4. rbghongade

    rbghongade Active Member Licensed User

    @Erel,
    Compiles OK now.
     
    Erel likes this.
  5. cliv

    cliv Member Licensed User

    ...installer, still does not work on WINXP...:(
    Same error message.
     
  6. Erel

    Erel Administrator Staff Member Licensed User

    You will need to install it on a different computer and then copy the B4R folder to your Windows XP computer.
     
    cliv likes this.
  7. techknight

    techknight Well-Known Member Licensed User

    You do realize that as time goes by, the more and more "broken" windows XP will become as software becomes more updated, right? Try using Windows 98 now.
     
    Peter Simpson likes this.
  8. cliv

    cliv Member Licensed User

    You do not need to be ironic. I just tried to reuse an old laptop in the lab ... which worked very well until now only with B4R.


    I tried this, but the program does not run after copy back to winxp ...so no compatibility from this version.
     
    Last edited: Jun 24, 2019
Loading...
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice